This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 135834 - 08000000 18c07c09 racoonctl: connect: No such file or directory 08000000 18c07c09 racoonctl: connect: No such file or directory
08000000 18c07c09 racoonctl: connect: No such file or directory 08000000 18...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ipsec-tools (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 06:55 EDT by Uwe Beck
Modified: 2014-03-16 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 12:13:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uwe Beck 2004-10-15 06:55:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.3)
Gecko/20040924

Description of problem:
racoonctl can administrate a running racoon daemon.
racoonctl from ipsec-tools-0.2.5-6 RPM in RHEL4_BETA1 does not work.

[root]# racoonctl reload-config
 08000000 18c07c09
racoonctl: connect: No such file or directory

There was no "--enable-adminport" use in the
ipsec-tools-0.2.5-6.src.rpm spec file for build the daemon and tool.
For racoonctl function the racoon daemon must compile with:

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --exec-prefix=/ \
 --libdir=/%{_lib} \
 --sysconfdir=/etc \
 --mandir=%{_mandir} \
 --with-kernel-headers=`pwd`/kernel-headers \
 --enable-adminport

There is also no man page for racoonctl in the rpm, if this page is
part of the source.

Version-Release number of selected component (if applicable):
ipsec-tools-0.2.5-6

How reproducible:
Always

Steps to Reproduce:
1. start the racoon daemon
2. use racoonctl (racoonctl reload-config)
3.
    

Actual Results:  racoonctl does not work

Expected Results:  racoonctl should work

Additional info:

This is the same problem like bug #129611 and Issue-Tracker issue
IT_46195. Should be fixed in RHEL4_BETA1 and also in RHEL3 soon.
Comment 1 Bill Nottingham 2004-10-15 12:13:45 EDT
Will be fixed in ipsec-0.3.x, in beta 2.

Note You need to log in before you can comment on or make changes to this bug.